import { BaseTask, Task } from '@checkup/core';
import { Result } from 'sarif';
export declare type Dependency = {
    moduleName: string;
    homepage: string;
    regError: string | undefined;
    pkgError: string | undefined;
    latest: string;
    installed: string;
    isInstalled: boolean;
    notInstalled: boolean;
    packageWanted: string;
    packageJson: string;
    devDependency: boolean;
    usedInScripts: string[] | undefined;
    mismatch: boolean;
    semverValid: string;
    easyUpgrade: boolean;
    bump: string;
    unused: boolean;
};
export default class OutdatedDependenciesTask extends BaseTask implements Task {
    taskName: string;
    taskDisplayName: string;
    category: string;
    run(): Promise<Result[]>;
}
//# sourceMappingURL=outdated-dependencies-task.d.ts.map